Index: wayland-commons/Cargo.toml
===================================================================
--- wayland-commons.orig/Cargo.toml
+++ wayland-commons/Cargo.toml
@@ -26,7 +26,7 @@ license = "MIT"
 repository = "https://github.com/smithay/wayland-rs"
 
 [dependencies.nix]
-version = "0.24.1"
+version = ">=0.24.1, <1"
 features = [
     "fs",
     "socket",
